Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::DocFieldConsumer Class Referenceabstract

`#include <DocFieldConsumer.h>`

Inheritance diagram for Lucene::DocFieldConsumer:

## Public Member Functions

virtual | ~DocFieldConsumer ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldConsumer > | shared_from_this ()
virtual void | flush (MapDocFieldConsumerPerThreadCollectionDocFieldConsumerPerField threadsAndFields, const SegmentWriteStatePtr &state)=0
| Called when DocumentsWriter decides to create a new segment. More...
virtual void | closeDocStore (const SegmentWriteStatePtr &state)=0
| Called when DocumentsWriter decides to close the doc stores. More...
virtual void | abort ()=0
| Called when an aborting exception is hit. More...
virtual DocFieldConsumerPerThreadPtr | addThread (const DocFieldProcessorPerThreadPtr &docFieldProcessorPerThread)=0
| Add a new thread. More...
virtual bool | freeRAM ()=0
| Called when DocumentsWriter is using too much RAM. The consumer should free RAM, if possible, returning true if any RAM was in fact freed. More...
virtual void | setFieldInfos (const FieldInfosPtr &fieldInfos)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

FieldInfosPtr | fieldInfos
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

virtual Lucene::DocFieldConsumer::~DocFieldConsumer | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::DocFieldConsumer::_getClassName | ( |  | ) |

inline static

virtual void Lucene::DocFieldConsumer::abort | ( |  | ) |

pure virtual

Called when an aborting exception is hit.

Implemented in Lucene::DocInverter.

virtual DocFieldConsumerPerThreadPtr Lucene::DocFieldConsumer::addThread | ( | const DocFieldProcessorPerThreadPtr & | docFieldProcessorPerThread | ) |

pure virtual

Add a new thread.

Implemented in Lucene::DocFieldConsumers, and Lucene::DocInverter.

virtual void Lucene::DocFieldConsumer::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

pure virtual

Called when DocumentsWriter decides to close the doc stores.

Implemented in Lucene::DocFieldConsumers, and Lucene::DocInverter.

virtual void Lucene::DocFieldConsumer::flush | ( | MapDocFieldConsumerPerThreadCollectionDocFieldConsumerPerField | threadsAndFields,
|  | const SegmentWriteStatePtr & | state
| ) |  |

pure virtual

Called when DocumentsWriter decides to create a new segment.

Implemented in Lucene::DocFieldConsumers, and Lucene::DocInverter.

virtual bool Lucene::DocFieldConsumer::freeRAM | ( |  | ) |

pure virtual

Called when DocumentsWriter is using too much RAM. The consumer should free RAM, if possible, returning true if any RAM was in fact freed.

Implemented in Lucene::DocFieldConsumers, and Lucene::DocInverter.

virtual String Lucene::DocFieldConsumer::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::DocFieldConsumers, and Lucene::DocInverter.

virtual void Lucene::DocFieldConsumer::setFieldInfos | ( | const FieldInfosPtr & | fieldInfos | ) |

virtual

Reimplemented in Lucene::DocFieldConsumers, and Lucene::DocInverter.

boost::shared_ptr< DocFieldConsumer > Lucene::DocFieldConsumer::shared_from_this | ( |  | ) |

inline

## Field Documentation

FieldInfosPtr Lucene::DocFieldConsumer::fieldInfos

protected

The documentation for this class was generated from the following file:

- DocFieldConsumer.h

clucene.sourceforge.net